Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1084748 - There is no limitation on Network Label name length
Summary: There is no limitation on Network Label name length
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: 3.5.0
Assignee: Alona Kaplan
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On: 1096662
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-06 08:29 UTC by GenadiC
Modified: 2016-02-10 19:56 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0-beta1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:11:15 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29127 master MERGED webadmin: Setup networks- limiting 'network label' text width Never

Description GenadiC 2014-04-06 08:29:15 UTC
Description of problem:
You can create Network label of any length (we tried about 200 characters) and as a result the label name appears way out of the screen size

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create label of 200 characters
2. Open SetupNetworks window and configure label on the HostNIC
3.

Actual results:
After attaching network to Host, the label name doesn't fit the screen size and you need to use scroll bar.

Expected results:
Label name should be in the size to fit the screen size

Additional info:

Comment 1 Nir Yechiel 2014-04-09 11:34:06 UTC
The preferred solution is not to limit the length, but to show only the first part and add "..." or a tool-tip with the full name.

Comment 2 Einav Cohen 2014-06-30 18:10:20 UTC
(In reply to Nir Yechiel from comment #1)
> The preferred solution is not to limit the length, but to show only the
> first part and add "..." or a tool-tip with the full name.

sounds good to us (ux).

Comment 4 Michael Burman 2014-07-16 14:09:12 UTC
Verified on-  oVirt Engine Version: 3.5.0-0.0.master.20140715172116.git4687dc1.el6

Comment 6 Eyal Edri 2015-02-17 17:11:15 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.